commit: c553a4a14ed8180d86daa7e26e840d07eeb0df7b
Author: Ian Delaney <idella4 <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 19 09:18:59 2015 +0000
Commit: Ian Delaney <idella4 <AT> gentoo <DOT> org>
CommitDate: Wed Aug 19 10:05:31 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c553a4a1
dev-python/rdflib: take out doctests from test phase, fixes Bug #358189
Package-Manager: portage-2.2.20
dev-python/rdflib/rdflib-4.1.2.ebuild | 6 ++++++
dev-python/rdflib/rdflib-4.2.0.ebuild | 7 ++++++-
2 files changed, 12 insertions(+), 1 deletion(-)
diff --git a/dev-python/rdflib/rdflib-4.1.2.ebuild
b/dev-python/rdflib/rdflib-4.1.2.ebuild
index da5d385..ea599e2 100644
--- a/dev-python/rdflib/rdflib-4.1.2.ebuild
+++ b/dev-python/rdflib/rdflib-4.1.2.ebuild
@@ -1,3 +1,4 @@
+
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -36,6 +37,11 @@ DEPEND="${RDEPEND}
python_prepare_all() {
# Upstream manufactured .pyc files which promptly break distutils'
src_test
find -name "*.py[oc~]" -delete || die
+
+ # Bug 358189; take out tests that attempt to connect to the network
+ sed -e "/'--with-doctest',/d" -e "/'--doctest-extension=.doctest',/d" \
+ -e "/'--doctest-tests',/d" -i run_tests.py || die
+
distutils-r1_python_prepare_all
}
diff --git a/dev-python/rdflib/rdflib-4.2.0.ebuild
b/dev-python/rdflib/rdflib-4.2.0.ebuild
index 9ab1920..294c0a5 100644
--- a/dev-python/rdflib/rdflib-4.2.0.ebuild
+++ b/dev-python/rdflib/rdflib-4.2.0.ebuild
@@ -23,7 +23,7 @@ IUSE="berkdb examples mysql redland sqlite test"
RDEPEND="
dev-python/isodate[${PYTHON_USEDEP}]
- dev-python/html5lib[$(python_gen_usedep 'python2*')]
+ dev-python/html5lib[${PYTHON_USEDEP}]
dev-python/pyparsing[${PYTHON_USEDEP}]
berkdb? ( dev-python/bsddb3[${PYTHON_USEDEP}] )
mysql? ( dev-python/mysql-python[$(python_gen_usedep 'python2*')] )
@@ -36,6 +36,11 @@ DEPEND="${RDEPEND}
python_prepare_all() {
# Upstream manufactured .pyc files which promptly break distutils'
src_test
find -name "*.py[oc~]" -delete || die
+
+ # Bug 358189; take out tests that attempt to connect to the network
+ sed -e "/'--with-doctest',/d" -e "/'--doctest-extension=.doctest',/d" \
+ -e "/'--doctest-tests',/d" -i run_tests.py || die
+
distutils-r1_python_prepare_all
}